Linux server2.hpierson.com 3.10.0-1160.105.1.el7.x86_64 #1 SMP Thu Dec 7 15:39:45 UTC 2023 x86_64
Apache
: 162.0.216.123 | : 216.73.216.152
28 Domain
?7.4.33
yvffpqmy
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
etc /
munin /
plugins /
[ HOME SHELL ]
Name
Size
Permission
Action
apache_accesses
4.32
KB
-rwxr-xr-x
apache_processes
5.67
KB
-rwxr-xr-x
apache_volume
4.27
KB
-rwxr-xr-x
cpu
6.59
KB
-rwxr-xr-x
df
4.27
KB
-rwxr-xr-x
df_inode
4.34
KB
-rwxr-xr-x
diskstats
34.19
KB
-rwxr-xr-x
entropy
983
B
-rwxr-xr-x
exim_mailqueue
3.19
KB
-rwxr-xr-x
exim_mailstats
5.51
KB
-rwxr-xr-x
forks
1000
B
-rwxr-xr-x
fw_packets
1.68
KB
-rwxr-xr-x
http_loadtime
2.52
KB
-rwxr-xr-x
if_err_eth0
3.03
KB
-rwxr-xr-x
if_eth0
5.71
KB
-rwxr-xr-x
interrupts
2.08
KB
-rwxr-xr-x
irqstats
4.17
KB
-rwxr-xr-x
load
2.68
KB
-rwxr-xr-x
memory
8.85
KB
-rwxr-xr-x
munin_stats
3.42
KB
-rwxr-xr-x
mysql_bytes
1.71
KB
-rwxr-xr-x
mysql_innodb
5.35
KB
-rwxr-xr-x
mysql_queries
2.5
KB
-rwxr-xr-x
mysql_slowqueries
1.49
KB
-rwxr-xr-x
mysql_threads
1.6
KB
-rwxr-xr-x
netstat
2.83
KB
-rwxr-xr-x
open_files
1.38
KB
-rwxr-xr-x
open_inodes
1.05
KB
-rwxr-xr-x
proc_pri
1.44
KB
-rwxr-xr-x
processes
11.62
KB
-rwxr-xr-x
swap
1.21
KB
-rwxr-xr-x
threads
1.05
KB
-rwxr-xr-x
uptime
853
B
-rwxr-xr-x
users
2.44
KB
-rwxr-xr-x
vmstat
1.08
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : http_loadtime
#!/bin/bash # -*- sh -*- : << =cut =head1 NAME http_loadtime - Plugin to graph the HTTP response times of specific pages =head1 CONFIGURATION The following environment variables are used by this plugin target - comma separated URL(s) to fetch (default: "http://localhost/") example: [http_loadtime] env.target http://localhost.de,http://localhost.de/some-site.html env.requisites true Do not enable the download of page requisites (env.requisites) for https sites since wget needs incredible long to perform this on big sites... =head1 AUTHOR Unknown authors (2013) Axel Huebl =head1 LICENSE GPLv2 =head1 MAGIC MARKERS #%# family=auto #%# capabilities=autoconf =cut . $MUNIN_LIBDIR/plugins/plugin.sh target=${target:-"http://localhost/"} requisites=${requisites:-"false"} urls=`echo $target | tr "," "\n"` wget_opt="--user-agent munin/http_loadtime --no-cache -q" if [ "$requisites" == "true" ]; then wget_opt="$wget_opt --page-requisites" fi time_bin=`which time` if [ "$1" = "autoconf" ]; then result="yes" command -v $time_bin 2>&1 >/dev/null || result=1 command -v tr 2>&1 >/dev/null || result=1 command -v wget 2>&1 >/dev/null || result=1 if [ "$result" != "yes" ]; then echo "no (programs time, wget and tr required)" exit 0 fi # if $target contains more than one url if ! wget -q -O /dev/null $target; then # check if urls respond # for uri in $urls do wget --spider $uri $wget_opt if [ "$?" != "0" ]; then echo "no (Cannot run wget against \"$uri\")" exit 0 fi done fi echo yes exit 0 fi if [ "$1" = "config" ]; then echo "graph_title HTTP loadtime of a page" echo "graph_args --base 1000 -l 0" echo "graph_vlabel Load time in seconds" echo "graph_category network" echo "graph_info This graph shows the load time in seconds" for uri in $urls do uri_short=`echo ${uri:0:30}` if [ "$uri_short" != "$uri" ]; then uri_short=$uri_short"..."; fi esc_uri="$(clean_fieldname "$uri")" echo $esc_uri".label $uri_short" echo $esc_uri".info page load time" done exit 0 fi TEMPO_DIR=$(mktemp -dt munin_http_loadtime.XXXXXX) || exit 1 trap "rm -rf $TEMPO_DIR" EXIT cd $TEMPO_DIR || exit 1 for uri in $urls do loadtime=`$time_bin -f "%e" wget $wget_opt --header='Accept-Encoding: gzip,deflate' $uri 2>&1` esc_uri="$(clean_fieldname "$uri")" echo $esc_uri".value $loadtime" done exit 0
Close